ServerLauncher.Command (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.distributed, class: ServerLauncher, enum: Command

Package org.apache.geode.distributed

# Enum Class ServerLauncher.Command

java.lang.Object
java.lang.Enum<ServerLauncher.Command>
org.apache.geode.distributed.ServerLauncher.Command

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerLauncher.Command>`, `Constable`

Enclosing class:
  ServerLauncher

public static enum ServerLauncher.Command extends Enum<ServerLauncher.Command>
An enumerated type representing valid commands to the Server launcher.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `START`
  `STATUS`
  `STOP`
  `UNSPECIFIED`
  `VERSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the name of the Server launcher command.
  `List<String>`
  `getOptions()`
  Gets a set of valid options that can be used with the Server launcher command when used from the command-line.
  `boolean`
  `hasOption(String option)`
  Determines whether this Server launcher command has the specified command-line option.
  `static boolean`
  `isCommand(String name)`
  Determines whether the specified name refers to a valid Server launcher command, as defined by this enumerated type.
  `boolean`
  `isUnspecified()`
  Convenience method for determining whether this is the UNSPECIFIED Server launcher command.
  `static boolean`
  `isUnspecified(ServerLauncher.Command command)`
  Determines whether the given Server launcher command has been properly specified.
  `String`
  `toString()`
  Gets the String representation of this Server launcher command.
  `static ServerLauncher.Command`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ServerLauncher.Command`
  `valueOfName(String name)`
  Looks up a Server launcher command by name.
  `static ServerLauncher.Command[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START

    public static final ServerLauncher.Command START

  - ### STATUS

    public static final ServerLauncher.Command STATUS

  - ### STOP

    public static final ServerLauncher.Command STOP

  - ### UNSPECIFIED

    public static final ServerLauncher.Command UNSPECIFIED

  - ### VERSION

    public static final ServerLauncher.Command VERSION

- ## Method Details

  - ### values

    public static ServerLauncher.Command[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ServerLauncher.Command valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isCommand

    public static boolean isCommand(String name)
    Determines whether the specified name refers to a valid Server launcher command, as defined by this enumerated type.
    Parameters:
      `name` - a String value indicating the potential name of a Server launcher command.
    Returns:
      a boolean indicating whether the specified name for a Server launcher command is valid.

  - ### isUnspecified

    public static boolean isUnspecified(ServerLauncher.Command command)
    Determines whether the given Server launcher command has been properly specified. The command is deemed unspecified if the reference is null or the Command is UNSPECIFIED.
    Parameters:
      `command` - the Server launcher command.
    Returns:
      a boolean value indicating whether the Server launcher command is unspecified.
    See Also:
      - `UNSPECIFIED`

  - ### valueOfName

    public static ServerLauncher.Command valueOfName(String name)
    Looks up a Server launcher command by name. The equality comparison on name is case-insensitive.
    Parameters:
      `name` - a String value indicating the name of the Server launcher command.
    Returns:
      an enumerated type representing the command name or null if the no such command with the specified name exists.

  - ### getName

    public String getName()
    Gets the name of the Server launcher command.
    Returns:
      a String value indicating the name of the Server launcher command.

  - ### getOptions

    public List<String> getOptions()
    Gets a set of valid options that can be used with the Server launcher command when used from the command-line.
    Returns:
      a Set of Strings indicating the names of the options available to the Server launcher command.

  - ### hasOption

    public boolean hasOption(String option)
    Determines whether this Server launcher command has the specified command-line option.
    Parameters:
      `option` - a String indicating the name of the command-line option to this command.
    Returns:
      a boolean value indicating whether this command has the specified named command-line option.

  - ### isUnspecified

    public boolean isUnspecified()
    Convenience method for determining whether this is the UNSPECIFIED Server launcher command.
    Returns:
      a boolean indicating if this command is UNSPECIFIED.
    See Also:
      - `UNSPECIFIED`

  - ### toString

    public String toString()
    Gets the String representation of this Server launcher command.
    Overrides:
      `toString` in class `Enum<ServerLauncher.Command>`
    Returns:
      a String value representing this Server launcher command.